package oracle.toplink.essentials.internal.helper;

/**
 * An utility which 
 * @author adam-bien.com
 */
public enum ReferenceMode {
    /**
     * Object hold with this reference will be not garbage collected.
     * It's the default setting
     */
    HARD, 
    
    /**
     * Weak references are used. So the last reference will be garbage collected
     * anyway...
     * See: {@link java.lang.ref.WeakReference}
     */
    WEAK

}
